import { GeographicMapSeriesHostDescription } from "./GeographicMapSeriesHostDescription";
import { SizeScaleDescription } from "./SizeScaleDescription";
import { BrushScaleDescription } from "./BrushScaleDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class GeographicProportionalSymbolSeriesDescription extends GeographicMapSeriesHostDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private b4;
    get latitudeMemberPath(): string;
    set latitudeMemberPath(a: string);
    private b5;
    get longitudeMemberPath(): string;
    set longitudeMemberPath(a: string);
    private b9;
    get markerType(): string;
    set markerType(a: string);
    private b8;
    get markerTemplateRef(): string;
    set markerTemplateRef(a: string);
    private b6;
    get markerBrush(): string;
    set markerBrush(a: string);
    private b7;
    get markerOutline(): string;
    set markerOutline(a: string);
    private b0;
    get maximumMarkers(): number;
    set maximumMarkers(a: number);
    private ca;
    get radiusMemberPath(): string;
    set radiusMemberPath(a: string);
    private by;
    get radiusScale(): SizeScaleDescription;
    set radiusScale(a: SizeScaleDescription);
    private b3;
    get labelMemberPath(): string;
    set labelMemberPath(a: string);
    private b2;
    get fillMemberPath(): string;
    set fillMemberPath(a: string);
    private bw;
    get fillScale(): BrushScaleDescription;
    set fillScale(a: BrushScaleDescription);
}
